using System.ComponentModel.DataAnnotations;

namespace JtkMainServer.Models {
    public class ChargeCash {
        [Display(Name = "충전 금액")]
        [Required(ErrorMessage = "충전할 금액을 입력하세요.")]
        [Range(1000, 100000, ErrorMessage = "1,000원 이상 100,000원 이하 범위의 금액만 충전할 수 있습니다.")]
        public int Amount { get; set; }

        [Display(Name = "신용카드 번호")]
        [CreditCard(ErrorMessage = "올바른 카드 번호를 입력하세요.")]
        [Required(ErrorMessage = "카드 번호를 입력하세요.")]
        public string CardNumber { get; set; }

        [Display(Name = "유효기간")]
        [Required(ErrorMessage = "유효기간을 입력하세요.   ")]
        public string ValidMonth { get; set; }

        [Display(Name = "CVC")]
        [Required(ErrorMessage = "CVC 보안 숫자를 입력하세요.")]
        [StringLength(3, MinimumLength = 3, ErrorMessage = "CVC 보안 숫자는 세 자리입니다.")]
        [Range(0, 999, ErrorMessage = "CVC 보안 숫자는 숫자만 입력할 수 있습니다.")]
        public string SecurityNumber { get; set; }
    }
}
